## dcl-c 5.4.8

=== sys/Makefile ===
#
#       Makefile for sys
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../Mkinclude
 

clean: clean.local

clean.local:
	$(RM) *~

distclean:
	$(RM) *~

=== demo/grph2/Makefile ===
#
#       Makefile for grph2
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		= grpack ucpack udegpk ulpack umpack uspack uupack \
		  uxyzpk ximage g2pack uipack


all:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making $$i" ; \
	  $(MAKE) ; \
	  cd .. ; \
	done

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== dvlop/bswlib/Makefile ===
#
#       Makefile for bswlib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

LIBNAME		= bswlib
LIBFSRCS	= bswp2.c bswp2a.c bswp4.c bswp4a.c
LIBCSRCS	= 
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= bswp2.o bswp2a.o bswp4.o bswp4a.o
LIBCOBJS	= 
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


all: $(LIBOBJS)

install: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(DCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(DCLLIBFILE)

clean:
	$(RM) *.o *~

=== dvlop/cielib/Makefile ===
#
#       Makefile for cielib
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

LIBNAME		= cielib
LIBFSRCS	= ciflab.c ciilab.c cifrgb.c ciirgb.c cifyxy.c ciiyxy.c \
		  ciipxj.c gmfsun.c gmisun.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= ciflab.o ciilab.o cifrgb.o ciirgb.o cifyxy.o ciiyxy.o \
		  ciipxj.o gmfsun.o gmisun.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


all: $(LIBOBJS)

install: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(DCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(DCLLIBFILE)

clean:
	$(RM) *.o *~

=== src/misc2/Makefile ===
#
#       Makefile for misc2
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../Mkinclude

SUBDIRS		=


object:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Making object files in $$i" ; \
	  $(MAKE) object ; \
	  cd .. ; \
	done

library: archive ranlib

archive:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Archiving $$i" ; \
	  $(MAKE) archive ; \
	  cd .. ; \
	done

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean: clean.local clean.dir

clean.local:
	$(RM) *~

clean.dir:
	@for i in $(SUBDIRS) ; do \
	  cd $$i ; \
	  echo "Cleaning $$i" ; \
	  $(MAKE) clean ; \
	  cd .. ; \
	done

=== demo/gokuraku/hop/Makefile ===
#
#       Makefile for hajime (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= hajime
LIBSRCS		= hop.c
LIBDEMO		= hop
LIBEXEC		= hop$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/gokuraku/layout/Makefile ===
#
#       Makefile for layout (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= layout
LIBSRCS		= lay1.c     lay2.c
LIBDEMO		= lay1       lay2
LIBEXEC		= lay1$(EXT) lay2$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/gokuraku/step/Makefile ===
#
#       Makefile for tugi (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= tugi
LIBSRCS		= step1.c     step2.c
LIBDEMO		= step1       step2
LIBEXEC		= step1$(EXT) step2$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/gokuraku/u1d/Makefile ===
#
#       Makefile for u1d (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u1d
LIBSRCS		= u1d1.c     u1d2.c
LIBDEMO		= u1d1       u1d2
LIBEXEC		= u1d1$(EXT) u1d2$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/gokuraku/u2d/Makefile ===
#
#       Makefile for u2d (gokuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u2d
LIBSRCS		= u2d1.c     u2d2.c     u2d3.c     u2d4.c
LIBDEMO		= u2d1       u2d2       u2d3       u2d4
LIBEXEC		= u2d1$(EXT) u2d2$(EXT) u2d3$(EXT) u2d4$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph1/scpack/Makefile ===
#
#       Makefile for scpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= scpack
LIBSRCS		= scpkt1.c     scpkt2.c     scpkt3.c     scpkt4.c     \
		  scpkt5.c     scpkt6.c     scpkt7.c     scpkt8.c
LIBDEMO		= scpkt1       scpkt2       scpkt3       scpkt4      \
		  scpkt5       scpkt6       scpkt7       scpkt8
LIBEXEC		= scpkt1$(EXT) scpkt2$(EXT) scpkt3$(EXT) scpkt4$(EXT) \
		  scpkt5$(EXT) scpkt6$(EXT) scpkt7$(EXT) scpkt8$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== demo/grph1/sgpack/Makefile ===
#
#       Makefile for sgpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= sgpack
LIBSRCS		= sgfont.c     sgfonz.c     sgksx1.c     sgksx2.c     \
		  sgksx3.c     sglidx.c     sgltyp.c     sgpk01.c     \
		  sgpk02.c     sgpk03.c     sgpk04.c     sgpk05.c     \
		  sgpk06.c     sgpk07.c     sgpk08.c     sgpk09.c     \
		  sgpk10.c     sgtclr.c     sgtone.c     sgtonz.c
LIBDEMO		= sgfont       sgfonz       sgksx1       sgksx2       \
		  sgksx3       sglidx       sgltyp       sgpk01       \
		  sgpk02       sgpk03       sgpk04       sgpk05       \
		  sgpk06       sgpk07       sgpk08       sgpk09       \
		  sgpk10       sgtclr       sgtone       sgtonz
LIBEXEC		= sgfont$(EXT) sgfonz$(EXT) sgksx1$(EXT) sgksx2$(EXT) \
		  sgksx3$(EXT) sglidx$(EXT) sgltyp$(EXT) sgpk01$(EXT) \
		  sgpk02$(EXT) sgpk03$(EXT) sgpk04$(EXT) sgpk05$(EXT) \
		  sgpk06$(EXT) sgpk07$(EXT) sgpk08$(EXT) sgpk09$(EXT) \
		  sgpk10$(EXT) sgtclr$(EXT) sgtone$(EXT) sgtonz$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace

=== debian/changelog ===
dcl-c (5.4.8-2) unstable; urgency=medium

  * Drop additional colormaps: merge upstream
  * Update debian:
    - Bump Standard Versino: 3.9.5
    - Update Compat: 9
    - Enable hardening
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 02 Feb 2014 06:04:05 +0900

dcl-c (5.4.8-1) unstable; urgency=medium

  * Imported Upstream version 5.4.8
  * Refresh patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 16 Jan 2014 02:08:40 +0900

=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~), dpkg-dev (>= 1.16.1~), autotools-dev, libx11-dev, libgtk2.0-dev, libglib2.0-dev, chrpath
Standards-Version: 3.9.5
Homepage: http://www.gfd-dennou.org/library/dcl

Package: libcdcl5
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) for C - shared libraries
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared library.

Package: libcdcl-dev
Section: libdevel
Suggests: f2c
Architecture: any
Conflicts: dcl-c (<= 5.3.3-3)
Replaces: dcl-c (<= 5.3.3-3)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl5 (= ${binary:Version}), mawk
Description: GFD-DENNOU Club Library (DCL) for C - files for development
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, build wrapper shell scripts.

Package: libcdcl-dbg
Section: debug
Priority: extra
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl5 (= ${binary:Version})
Description: GFD-DENNOU Club Library (DCL) for C - debugging symbols
 The DCL graphic library is written in C (originally in Fortran77),
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: dcl-c
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) for C - metapackage
 The DCL graphic library is written originally in Fortran77
 which contains following libraries.
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -fPIC

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr/bin/ -type f \
	  ! -name "*dclps*" \
	  ! -name "cdclcc"  \
	  ! -name "cdclconfig*" \
	  | xargs chrpath -d
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.5 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.5.4.0 \
	  `find $(CURDIR)/f2csrc -name \*.o`
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.5 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.5.4.0 \
	  `find $(CURDIR)/f2csrc -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.5.4.0 libcdcl.so.5 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.5.4.0 libcdcl.so )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.5.4.0 libf2c4dcl.so.5 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.5.4.0 libf2c4dcl.so )


override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	dh_auto_clean

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libcdcl-dbg

override_dh_installchangelogs:
	dh_installchangelogs --all --keep HISTORY

## dcl-c 6.0.2

=== debian/changelog ===
dcl-c (6.0.2-3) unstable; urgency=medium

  * Fix missing dependency: libcdcl6 (= {binary:Version})

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 08 Sep 2015 16:49:01 +0900

dcl-c (6.0.2-2) unstable; urgency=medium

  * Update package descriptions
  * Update debian/changelog
  * Fix install libf2c4dcl

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Aug 2015 17:36:56 +0900

dcl-c (6.0.2-1) unstable; urgency=medium

  * Bump Standard Version: 3.9.6
  * Imported Upstream version 6.0.2
  * Update package name: soname bump

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 21 Aug 2015 15:05:39 +0900

dcl-c (5.4.8-3) unstable; urgency=medium

  * Fix object path

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 12 Feb 2014 06:21:50 +0900

=== debian/control ===
Source: dcl-c
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 9.0~), dpkg-dev (>= 1.16.1~), autotools-dev,
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev,
	chrpath
Standards-Version: 3.9.6
Homepage: http://www.gfd-dennou.org/library/dcl

Package: dcl-c
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: libcdcl-dev, ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C version
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is metapackage, install libcdcl-dev

Package: libcdcl-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl6 (= ${binary:Version}),
	libx11-dev,
	libgtk2.0-dev,
	libglib2.0-dev
Suggests: dcl-c-utils
Description: GFD-DENNOU Club Library (DCL) - C ver. - static libraries and header files
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides static libraries, header, wrapper scripts.

Package: libcdcl6
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libcdcl5 (<< 6.0~), libcdcl-dbg (<< 6.0~)
Replaces: libcdcl5
Description: GFD-DENNOU Club Library (DCL) - C ver. - shared libraries
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provide shared libraries and database files

Package: libcdcl6-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: libf77dcl5 (<< 6~ )
Breaks: libf77dcl5 (<< 6~ ), libf77dcl5-dbg (<< 6~ )
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl6 (= ${binary:Version})
Description: GFD-DENNOU Club Library (DCL) - C ver. - debugging symbols
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
 * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
 * mathematical libraries:
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: dcl-c-utils
Architecture: all
Section: graphics
Depends: ${shlibs:Depends}, ${misc:Depends}, mawk
Description: GFD-DENNOU Club Library (DCL) - C ver. - post-processing scripts
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides post-processing scripts for output images.

Package: dcl-c-docs
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: GFD-DENNOU Club Library (DCL) - C ver. - documents
 GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
 libraries developed by GFD-Dennou Club, see http://www.gfd-dennou.org/
 This package provides C version, contains following libraries:
   * visualization libraries:
     wide variety of 1D and 2D graphics and limited 3D graphics
   * mathematical libraries
     FFT, Ordinary differential equation solver, Spherical harmonics analysis
     etc.
 .
 This package provides document and demo programs.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -fPIC

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr

override_dh_auto_install:
	mkdir -p $(CURDIR)/debian/tmp/usr
	dh_auto_install -- prefix=$(CURDIR)/debian/tmp/usr
	find $(CURDIR)/debian/tmp/usr/bin/ -type f \
	  ! -name "*dclps*" \
	  ! -name "cdclcc"  \
	  ! -name "cdclconfig*" \
	  | xargs chrpath -d
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.6 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.6.0.2 \
	  `find $(CURDIR)/f2csrc -name \*.o`
	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.6 \
	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.6.0.2 \
	  `find $(CURDIR)/src -name \*.o`
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.2 libcdcl.so.6 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.2 libcdcl.so )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.2 libf2c4dcl.so.6 )
	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.2 libf2c4dcl.so )


override_dh_install:
	dh_install --sourcedir=debian/tmp

override_dh_auto_clean:
	dh_auto_clean

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libcdcl6-dbg

override_dh_installchangelogs:
	dh_installchangelogs --all --keep HISTORY

## dcl-c 6.0.3

=== demo/gokuraku/u1d/Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 all: $(LIBDEMO)
 
 clean:
-	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
+	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph1/scpack/Makefile ===
--- 
+++ 
@@ -18,4 +18,4 @@
 all: $(LIBDEMO)
 
 clean:
-	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
+	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/grpack/Makefile ===
#
#       Makefile for grpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= grpack
LIBSRCS		= grpk01.c
LIBDEMO 	= grpk01
LIBEXEC 	= grpk01$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/fnclib/Makefile ===
#
#       Makefile for fnclib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fnclib
LIBSRCS		= fncl01.c
LIBDEMO 	= fncl01
LIBEXEC 	= fncl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/rfalib/Makefile ===
#
#       Makefile for rfalib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= rfalib
LIBSRCS		= rfal01.c
LIBDEMO 	= rfal01
LIBEXEC 	= rfal01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/syslib/Makefile ===
#
#       Makefile for syslib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= syslib
LIBSRCS		= sysl01.c     sysl02.c
LIBDEMO 	= sysl01       sysl02
LIBEXEC 	= sysl01$(EXT) sysl02$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math2/rnmlib/Makefile ===
#
#       Makefile for rnmlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= rnmlib
LIBSRCS		= rnml01.c
LIBDEMO 	= rnml01
LIBEXEC 	= rnml01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/rakuraku/quick/Makefile ===
#
#       Makefile for quick (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= quick
LIBSRCS		= quick1.c     quick2.c     quick3.c     quick4.c     \
		  quick5.c
LIBDEMO		= quick1       quick2       quick3       quick4       \
		  quick5
LIBEXEC		= quick1$(EXT) quick2$(EXT) quick3$(EXT) quick4$(EXT) \
		  quick5$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/rakuraku/u2d/Makefile ===
#
#       Makefile for u2d (rakuraku)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= u2d
LIBSRCS		= u2d1.c     u2d2.c     u2d3.c     u2d4.c     \
		  u2d5.c     u2d6.c     u2d7.c
LIBDEMO		= u2d1       u2d2       u2d3       u2d4       \
		  u2d5       u2d6       u2d7
LIBEXEC		= u2d1$(EXT) u2d2$(EXT) u2d3$(EXT) u2d4$(EXT) \
		  u2d5$(EXT) u2d6$(EXT) u2d7$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== src/env1/colormap/Makefile ===
#
#       Makefile for colormap
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

CMAPFILE0	= colormap.x11
CMAPLIST	= cmaplist
CMAPFILES	= colormap_01.x11              colormap_02.x11 \
		  colormap_03.x11              colormap_04.x11 \
		  colormap_05.x11              colormap_06.x11 \
		  colormap_07.x11              colormap_08.x11 \
		  colormap_09.x11              colormap_10.x11 \
		  colormap_11.x11              colormap_12.x11 \
		  colormap_13.x11              colormap_14.x11 \
		  colormap_15.x11              colormap_16.x11 \
		  colormap_17.x11              colormap_18.x11 \
		  colormap_19.x11              colormap_20.x11 \
		  colormap_21.x11              colormap_22.x11 \
		  colormap_23.x11              colormap_24.x11 \
		  colormap_25.x11              colormap_26.x11 \
		  colormap_27.x11              colormap_28.x11 \
		  colormap_29.x11              colormap_30.x11 \
		  colormap_31.x11              colormap_32.x11 \
		  colormap_33.x11              colormap_34.x11 \
		  colormap_35.x11              colormap_36.x11 \
		  colormap_37.x11              colormap_38.x11 \
		  colormap_39.x11              colormap_40.x11 \
		  colormap_41.x11              colormap_42.x11 \
		  colormap_43.x11              colormap_44.x11 \
		  colormap_45.x11              colormap_46.x11 \
		  colormap_47.x11              colormap_48.x11 \
		  colormap_49.x11              colormap_50.x11 \
		  colormap_51.x11              colormap_52.x11 \
		  colormap_53.x11              colormap_54.x11 \
		  colormap_55.x11              colormap_56.x11 \
		  colormap_57.x11              colormap_58.x11 \
		  colormap_59.x11              colormap_60.x11 \
		  colormap_61.x11              colormap_62.x11 \
		  colormap_63.x11              colormap_64.x11 \
		  colormap_65.x11              colormap_66.x11 \
		  colormap_67.x11              colormap_68.x11 \
		  colormap_69.x11              colormap_70.x11 \
		  colormap_71.x11              colormap_72.x11 \
		  colormap_73.x11              colormap_74.x11 \
		  colormap_75.x11              colormap_76.x11 \
		  colormap_77.x11              colormap_78.x11
LCMAPFILE0	= $(LDBASEDIR)/colormap.x11
LCMAPLIST	= $(LDBASEDIR)/cmaplist
LCMAPFILES	= $(LDBASEDIR)/colormap_01.x11 $(LDBASEDIR)/colormap_02.x11 \
		  $(LDBASEDIR)/colormap_03.x11 $(LDBASEDIR)/colormap_04.x11 \
		  $(LDBASEDIR)/colormap_05.x11 $(LDBASEDIR)/colormap_06.x11 \
		  $(LDBASEDIR)/colormap_07.x11 $(LDBASEDIR)/colormap_08.x11 \
		  $(LDBASEDIR)/colormap_09.x11 $(LDBASEDIR)/colormap_10.x11 \
		  $(LDBASEDIR)/colormap_11.x11 $(LDBASEDIR)/colormap_12.x11 \
		  $(LDBASEDIR)/colormap_13.x11 $(LDBASEDIR)/colormap_14.x11 \
		  $(LDBASEDIR)/colormap_15.x11 $(LDBASEDIR)/colormap_16.x11 \
		  $(LDBASEDIR)/colormap_17.x11 $(LDBASEDIR)/colormap_18.x11 \
		  $(LDBASEDIR)/colormap_19.x11 $(LDBASEDIR)/colormap_20.x11 \
		  $(LDBASEDIR)/colormap_21.x11 $(LDBASEDIR)/colormap_22.x11 \
		  $(LDBASEDIR)/colormap_23.x11 $(LDBASEDIR)/colormap_24.x11 \
		  $(LDBASEDIR)/colormap_25.x11 $(LDBASEDIR)/colormap_26.x11 \
		  $(LDBASEDIR)/colormap_27.x11 $(LDBASEDIR)/colormap_28.x11 \
		  $(LDBASEDIR)/colormap_29.x11 $(LDBASEDIR)/colormap_30.x11 \
		  $(LDBASEDIR)/colormap_31.x11 $(LDBASEDIR)/colormap_32.x11 \
		  $(LDBASEDIR)/colormap_33.x11 $(LDBASEDIR)/colormap_34.x11 \
		  $(LDBASEDIR)/colormap_35.x11 $(LDBASEDIR)/colormap_36.x11 \
		  $(LDBASEDIR)/colormap_37.x11 $(LDBASEDIR)/colormap_38.x11 \
		  $(LDBASEDIR)/colormap_39.x11 $(LDBASEDIR)/colormap_40.x11 \
		  $(LDBASEDIR)/colormap_41.x11 $(LDBASEDIR)/colormap_42.x11 \
		  $(LDBASEDIR)/colormap_43.x11 $(LDBASEDIR)/colormap_44.x11 \
		  $(LDBASEDIR)/colormap_45.x11 $(LDBASEDIR)/colormap_46.x11 \
		  $(LDBASEDIR)/colormap_47.x11 $(LDBASEDIR)/colormap_48.x11 \
		  $(LDBASEDIR)/colormap_49.x11 $(LDBASEDIR)/colormap_50.x11 \
		  $(LDBASEDIR)/colormap_51.x11 $(LDBASEDIR)/colormap_52.x11 \
		  $(LDBASEDIR)/colormap_53.x11 $(LDBASEDIR)/colormap_54.x11 \
		  $(LDBASEDIR)/colormap_55.x11 $(LDBASEDIR)/colormap_56.x11 \
		  $(LDBASEDIR)/colormap_57.x11 $(LDBASEDIR)/colormap_58.x11 \
		  $(LDBASEDIR)/colormap_59.x11 $(LDBASEDIR)/colormap_60.x11 \
		  $(LDBASEDIR)/colormap_61.x11 $(LDBASEDIR)/colormap_62.x11 \
		  $(LDBASEDIR)/colormap_63.x11 $(LDBASEDIR)/colormap_64.x11 \
		  $(LDBASEDIR)/colormap_65.x11 $(LDBASEDIR)/colormap_66.x11 \
		  $(LDBASEDIR)/colormap_67.x11 $(LDBASEDIR)/colormap_68.x11 \
		  $(LDBASEDIR)/colormap_69.x11 $(LDBASEDIR)/colormap_70.x11 \
		  $(LDBASEDIR)/colormap_71.x11 $(LDBASEDIR)/colormap_72.x11 \
		  $(LDBASEDIR)/colormap_73.x11 $(LDBASEDIR)/colormap_74.x11 \
		  $(LDBASEDIR)/colormap_75.x11 $(LDBASEDIR)/colormap_76.x11 \
		  $(LDBASEDIR)/colormap_77.x11 $(LDBASEDIR)/colormap_78.x11


all: $(LCMAPFILE0) $(LCMAPLIST) $(LCMAPFILES)

$(LDBASEDIR)/colormap.x11: colormap.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/cmaplist: cmaplist
	@echo "Installing colormap list $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_01.x11: colormap_01.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_02.x11: colormap_02.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_03.x11: colormap_03.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_04.x11: colormap_04.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_05.x11: colormap_05.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_06.x11: colormap_06.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_07.x11: colormap_07.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_08.x11: colormap_08.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_09.x11: colormap_09.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_10.x11: colormap_10.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_11.x11: colormap_11.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_12.x11: colormap_12.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_13.x11: colormap_13.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_14.x11: colormap_14.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_15.x11: colormap_15.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_16.x11: colormap_16.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_17.x11: colormap_17.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_18.x11: colormap_18.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_19.x11: colormap_19.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_20.x11: colormap_20.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_21.x11: colormap_21.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_22.x11: colormap_22.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_23.x11: colormap_23.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_24.x11: colormap_24.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_25.x11: colormap_25.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_26.x11: colormap_26.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_27.x11: colormap_27.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_28.x11: colormap_28.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_29.x11: colormap_29.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_30.x11: colormap_30.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_31.x11: colormap_31.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_32.x11: colormap_32.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_33.x11: colormap_33.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_34.x11: colormap_34.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_35.x11: colormap_35.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_36.x11: colormap_36.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_37.x11: colormap_37.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_38.x11: colormap_38.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_39.x11: colormap_39.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_40.x11: colormap_40.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_41.x11: colormap_41.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_42.x11: colormap_42.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_43.x11: colormap_43.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_44.x11: colormap_44.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_45.x11: colormap_45.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_46.x11: colormap_46.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_47.x11: colormap_47.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_48.x11: colormap_48.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_49.x11: colormap_49.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_50.x11: colormap_50.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_51.x11: colormap_51.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_52.x11: colormap_52.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_53.x11: colormap_53.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_54.x11: colormap_54.x11
	@echo "Installing colormap file $? into local dcldbase directory"
	@$(CP) $? $@

$(LDBASEDIR)/colormap_55.x11: colormap_55.x11

=== src/grph1/swpack/Makefile ===
#
#       Makefile for swpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= swpack
LIBFSRCS	= swcget.c swcmll.c swcqnp.c swiget.c swiqnp.c swlget.c \
		  swlqnp.c swpack.c swpget.c swpqnp.c swqfnm.c swrget.c \
		  swrqnp.c
LIBCSRCS	= cfnchr.c z1pack.c zgpack.c ztpack.c zxpack.c
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= swcget.o swcmll.o swcqnp.o swiget.o swiqnp.o swlget.o \
		  swlqnp.o swpack.o swpget.o swpqnp.o swqfnm.o swrget.o \
		  swrqnp.o
LIBCOBJS	= cfnchr.o zgpack.o
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

swiqnp.c: swiqnp.g
	@echo "Substituting system constants (swiqnp.g -> swiqnp.c)"
	@sed -e "s!@DCLNWS!$(DCLNWS)!" \
	     -e "s!@IWIDTH!$(IWIDTH)!" \
	     -e "s!@IHEIGHT!$(IHEIGHT)!" \
	     swiqnp.g > swiqnp.c

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~ swiqnp.c

=== src/grph1/szpack/Makefile ===
#
#       Makefile for szpack
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= szpack
LIBFSRCS	= szplop.c szplzu.c szplzv.c szplzr.c szpmop.c szpmzu.c \
		  szpmzv.c szpmzr.c sztxop.c sztxzu.c sztxzv.c sztxzr.c \
		  sztnop.c sztnzu.c sztnzv.c sztnzr.c szlnop.c szlnzu.c \
		  szlnzv.c szlnzr.c szlaop.c szlazu.c szlazv.c szlazr.c \
		  szl3op.c szl3zu.c szl3zv.c szm3op.c szm3zu.c szm3zv.c \
		  szt3op.c szt3zu.c szt3zv.c szslti.c szstyp.c szsidx.c \
		  szoplu.c szoplt.c szoplv.c szopsv.c szoplc.c szopld.c \
		  szoplp.c szoplr.c szoplz.c szopl3.c szstni.c szoptu.c \
		  szoptt.c szoptv.c szoptp.c szoptr.c szoptz.c szopts.c \
		  sztnsv.c sztxwv.c szqtxw.c szfint.c szcltn.c szpipl.c \
		  szpipt.c szpipz.c szpclx.c szpcly.c szpcll.c szsgcl.c \
		  szxmod.c
LIBCSRCS	=
LIBSRCS		= $(LIBFSRCS) $(LIBCSRCS)
LIBFOBJS	= szplop.o szplzu.o szplzv.o szplzr.o szpmop.o szpmzu.o \
		  szpmzv.o szpmzr.o sztxop.o sztxzu.o sztxzv.o sztxzr.o \
		  sztnop.o sztnzu.o sztnzv.o sztnzr.o szlnop.o szlnzu.o \
		  szlnzv.o szlnzr.o szlaop.o szlazu.o szlazv.o szlazr.o \
		  szl3op.o szl3zu.o szl3zv.o szm3op.o szm3zu.o szm3zv.o \
		  szt3op.o szt3zu.o szt3zv.o szslti.o szstyp.o szsidx.o \
		  szoplu.o szoplt.o szoplv.o szopsv.o szoplc.o szopld.o \
		  szoplp.o szoplr.o szoplz.o szopl3.o szstni.o szoptu.o \
		  szoptt.o szoptv.o szoptp.o szoptr.o szoptz.o szopts.o \
		  sztnsv.o sztxwv.o szqtxw.o szfint.o szcltn.o szpipl.o \
		  szpipt.o szpipz.o szpclx.o szpcly.o szpcll.o szsgcl.o \
		  szxmod.o
LIBCOBJS	=
LIBOBJS		= $(LIBFOBJS) $(LIBCOBJS)


object: $(LIBOBJS)

library: archive ranlib

archive:
	@$(AR) $(ARFLAGS) $(LDCLLIBFILE) $(LIBOBJS)

ranlib:
	$(RANLIB) $(LDCLLIBFILE)

clean:
	$(RM) *.o *~

=== debian/changelog ===
dcl-c (6.0.3-1~1.gbpba083b) unstable; urgency=medium

  ** SNAPSHOT build @ba083b212105635789f8457d7dba0244fca18408 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Tue, 29 Dec 2015 02:10:43 +0900

dcl-c (6.0.3-1) unstable; urgency=medium

  * Imported Upstream version 6.0.3
  * Bump version number, soname: 6.0.3
  * Update d/copyright: DEP-5

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 29 Dec 2015 01:57:38 +0900

dcl-c (6.0.2-4) unstable; urgency=medium

  * Add transitional package: libcdcl5

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 08 Sep 2015 22:57:14 +0900

=== debian/control ===
--- 
+++ 
@@ -52,7 +52,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Breaks: libcdcl5 (<< 6.0~), libcdcl-dbg (<< 6.0~)
+Breaks: libcdcl5 (<< 6.0.2-3~), libcdcl-dbg (<< 6.0.2-3~)
 Replaces: libcdcl5
 Description: GFD-DENNOU Club Library (DCL) - C ver. - shared libraries
  GFD-DENNOU Club Library (DCL) is a package of graphic and mathematical
@@ -70,8 +70,8 @@
 Section: debug
 Priority: extra
 Architecture: any
-Replaces: libf77dcl5 (<< 6~ )
-Breaks: libf77dcl5 (<< 6~ ), libf77dcl5-dbg (<< 6~ )
+Replaces: libf77dcl5 (<< 6.0.2-3~)
+Breaks: libf77dcl5 (<< 6.0.2-3~), libf77dcl5-dbg (<< 6.0.2-3~)
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libcdcl6 (= ${binary:Version})
 Description: GFD-DENNOU Club Library (DCL) - C ver. - debugging symbols
@@ -119,3 +119,15 @@
      etc.
  .
  This package provides document and demo programs.
+
+Package: libcdcl5
+Priority: extra
+Section: oldlibs
+Architecture: all
+Depends: ${misc:Depends}, libcdcl6
+Description: Transitional package: libcdcl6
+ This dummy package is provided for a smooth transition from the
+ previous libcdcl5 package (the package is replaced by libcdcl6).
+ .
+ It may safely be removed after installation.
+

=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,15 @@
 	  ! -name "cdclconfig*" \
 	  | xargs chrpath -d
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.6.0.2 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.6.0.3 \
 	  `find $(CURDIR)/f2csrc -name \*.o`
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.6.0.2 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.6.0.3 \
 	  `find $(CURDIR)/src -name \*.o`
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.2 libcdcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.2 libcdcl.so )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.2 libf2c4dcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.2 libf2c4dcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.3 libcdcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.3 libcdcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.3 libf2c4dcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.3 libf2c4dcl.so )
 
 
 override_dh_install:

## dcl-c 6.0.4

=== demo/gokuraku/u2d/Makefile ===
--- 
+++ 
@@ -15,4 +15,4 @@
 all: $(LIBDEMO)
 
 clean:
-	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
+	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph1/sgpack/Makefile ===
--- 
+++ 
@@ -27,4 +27,4 @@
 all: $(LIBDEMO)
 
 clean:
-	$(RM) $(LIBEXEC) *.o *~ *.ps core *.trace
+	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/g2pack/Makefile ===
#
#       Makefile for g2pack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= g2pack
LIBSRCS		= g2pk01.c     g2pk02.c 
LIBDEMO 	= g2pk01       g2pk02
LIBEXEC 	= g2pk01$(EXT) g2pk02$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/ucpack/Makefile ===
#
#       Makefile for ucpack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= ucpack
LIBSRCS		= ucpk01.c     ucpk02.c     ucpk03.c     ucpk04.c
LIBDEMO 	= ucpk01       ucpk02       ucpk03       ucpk04
LIBEXEC 	= ucpk01$(EXT) ucpk02$(EXT) ucpk03$(EXT) ucpk04$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/udegpk/Makefile ===
#
#       Makefile for udegpk (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= udegpk
LIBSRCS		= u2df01.c      u2df02.c      u2df03.c      u2df04.c     \
		  u2df05.c      u2df06.c      u2df07.c      u2df08.c     \
		  u2df09e.c     u2df09b.c     u2df09f.c     u2df09c.c
LIBDEMO		= u2df01        u2df02        u2df03        u2df04       \
		  u2df05        u2df06        u2df07        u2df08       \
		  u2df09e       u2df09b       u2df09f       u2df09c
LIBEXEC		= u2df01$(EXT)  u2df02$(EXT)  u2df03$(EXT)  u2df04$(EXT) \
		  u2df05$(EXT)  u2df06$(EXT)  u2df07$(EXT)  u2df08$(EXT) \
		  u2df09e$(EXT) u2df09b$(EXT) u2df09f$(EXT) u2df09c$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uipack/Makefile ===
#
#       Makefile for uipack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uipack
LIBSRCS		= uipk01.c     uipk02.c uipk03.c
LIBDEMO 	= uipk01       uipk02 uipk03
LIBEXEC 	= uipk01$(EXT) uipk02$(EXT) uipk03$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uspack/Makefile ===
#
#       Makefile for uspack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uspack
LIBSRCS		= uspk01.c     uspk02.c     uspk03.c     uspk04.c     \
		  uspk05.c     uspk06.c     uspk07.c     uspk08.c     \
		  uspk09.c     uspk10.c     uspk11.c     uspk12.c
LIBDEMO		= uspk01       uspk02       uspk03       uspk04       \
		  uspk05       uspk06       uspk07       uspk08       \
		  uspk09       uspk10       uspk11       uspk12
LIBEXEC		= uspk01$(EXT) uspk02$(EXT) uspk03$(EXT) uspk04$(EXT) \
		  uspk05$(EXT) uspk06$(EXT) uspk07$(EXT) uspk08$(EXT) \
		  uspk09$(EXT) uspk10$(EXT) uspk11$(EXT) uspk12$(EXT)


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/grph2/uupack/Makefile ===
#
#       Makefile for uupack (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= uupack
LIBSRCS		= uupk01.c     uupk02.c     uupk03.c     uupk04.c     \
		  uupk05.c     uupk06.c     uupk07.c
LIBDEMO		= uupk01       uupk02       uupk03       uupk04       \
		  uupk05       uupk06       uupk07
LIBEXEC		= uupk01$(EXT) uupk02$(EXT) uupk03$(EXT) uupk04$(EXT) \
		  uupk05$(EXT) uupk06$(EXT) uupk07$(EXT)  


all: $(LIBDEMO)

clean:
	  $(RM) $(LIBEXEC) *.o *~ *.ps core *.trace *.eps *.svg *.pdf a.out

=== demo/math1/gt2dlib/Makefile ===
#
#       Makefile for gt2dlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= gt2dlib
LIBSRCS		= gt2d01.c
LIBDEMO 	= gt2d01
LIBEXEC 	= gt2d01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/intlib/Makefile ===
#
#       Makefile for intlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= intlib
LIBSRCS		= intl01.c
LIBDEMO 	= intl01
LIBEXEC 	= intl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/math1/vrblib/Makefile ===
#
#       Makefile for vrblib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= vrblib
LIBSRCS		= vrbl01.c
LIBDEMO 	= vrbl01
LIBEXEC 	= vrbl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== demo/misc1/fmtlib/Makefile ===
#
#       Makefile for fmtlib (demo)
#
#       Copyright (C) 2000-2004 GFD Dennou Club. All rights reserved.
#

include ../../../Mkinclude

LIBNAME		= fmtlib
LIBSRCS		= fmtl01.c
LIBDEMO 	= fmtl01
LIBEXEC 	= fmtl01$(EXT)


all: $(LIBDEMO)

clean:
	$(RM) $(LIBEXEC) *.o *~ core *.trace

=== debian/changelog ===
dcl-c (6.0.4-1) unstable; urgency=medium

  * Imported Upstream version 6.0.4
  * Refresh patches, bump version: 6.0.4

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 31 Jan 2016 03:43:58 +0900

=== debian/rules ===
--- 
+++ 
@@ -20,15 +20,15 @@
 	  ! -name "cdclconfig*" \
 	  | xargs chrpath -d
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libf2c4dcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.6.0.3 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libf2c4dcl.so.6.0.4 \
 	  `find $(CURDIR)/f2csrc -name \*.o`
 	$(CC) $(LDFLAGS) -shared -Wl,-soname,libcdcl.so.6 \
-	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.6.0.3 \
+	  -o $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libcdcl.so.6.0.4 \
 	  `find $(CURDIR)/src -name \*.o`
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.3 libcdcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.3 libcdcl.so )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.3 libf2c4dcl.so.6 )
-	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.3 libf2c4dcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.4 libcdcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libcdcl.so.6.0.4 libcdcl.so )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.4 libf2c4dcl.so.6 )
+	( cd $(CURDIR)/debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH) ; ln -s libf2c4dcl.so.6.0.4 libf2c4dcl.so )
 
 
 override_dh_install:
